Subject: [alpine-aports] [PATCH] testing/R: new aport

From: Nirosan <[email-masked]>
Date: Fri, 22 Apr 2016 11:11:17 +0000

$pkgurl: https://cran.r-project.org/
$pkgdesc: Alpine package of R Project for Statistical Computing
---
 testing/R/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/R/APKBUILD

diff --git a/testing/R/APKBUILD b/testing/R/APKBUILD
new file mode 100644
index 0000000..0d98d37
--- /dev/null
+++ b/testing/R/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Nirosan <[email-masked]>
+# Maintainer: Nirosan <[email-masked]>
+pkgname=R
+pkgver=3.2.4
+pkgrel=0
+pkgdesc="R-3.2.4 project for Statistical Computing"
+url="https://www.r-project.org"
+arch="all"
+license="MIT"
+depends="gfortran readline-dev xz-dev zlib-dev bzip2-dev pcre-dev curl-dev perl"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://cran.r-project.org/src/base/R-3/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	EXPORT LD_LIBRARY_PATH="$pkgdir"/lib64/R/lib:$LD_LIBRARY_PATH
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--without-x \
+		|| return 1
+	make || return 1
+#	make check || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	ln -s "$pkgdir"/bin/R R
+	ln -s "$pkgdir"/bin/Rscript Rscript
+}
+
+md5sums="5953104583ed93dc2085a6c80e884e4a  R-3.2.4.tar.gz"
+sha256sums="bafd405fe9c2fe3bbe47a8a7730ad120f03b7df9fb0f61674fca19cf061dd350  R-3.2.4.tar.gz"
+sha512sums="a74f01a9b47437feb81520c10936a6f2bc7700900730ec87b7f1442ee90bcf1d7aac9ef3345aa046c0566f1920f114da0a616c5f355b1e8480dc01e311476cbf  R-3.2.4.tar.gz"
-- 
2.6.6

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---